### Method

# Gimp Image get_parasite

#### Declaration [src]

    GimpParasite*
    gimp_image_get_parasite (
      GimpImage* image,
      const gchar* name
    )

#### Description [src]

Look up a parasite in an image

Finds and returns the parasite that was previously attached to an image.

Available since: | 2.8

#### Parameters

`name` | `const gchar*`
| The name of the parasite to find.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `GimpParasite`
| The found parasite.
| The caller of the method takes ownership of the data, and is responsible for freeing it.